## linux-armadaxp 3.5.0-1608.10

=== Makefile ===
VERSION = 3
PATCHLEVEL = 5
SUBLEVEL = 7
EXTRAVERSION = .2
NAME = Saber-toothed Squirrel

# *DOCUMENTATION*
# To see a list of typical targets execute "make help"
# More info can be located in ./README
# Comments in this file are targeted only to the developer, do not
# expect to learn how to build the kernel reading this file.

# Do not:
# o  use make's built-in rules and variables
#    (this increases performance and avoids hard-to-debug behaviour);
# o  print "Entering directory ...";
MAKEFLAGS += -rR --no-print-directory

# Avoid funny character set dependencies
unexport LC_ALL
LC_COLLATE=C
LC_NUMERIC=C
export LC_COLLATE LC_NUMERIC

# We are using a recursive build, so we need to do a little thinking
# to get the ordering right.
#
# Most importantly: sub-Makefiles should only ever modify files in
# their own directory. If in some directory we have a dependency on
# a file in another dir (which doesn't happen often, but it's often
# unavoidable when linking the built-in.o targets which finally
# turn into vmlinux), we will call a sub make in that other dir, and
# after that we are sure that everything which is in that other dir
# is now up to date.
#
# The only cases where we need to modify files which have global
# effects are thus separated out and done before the recursive
# descending is started. They are now explicitly listed as the
# prepare rule.

# To put more focus on warnings, be less verbose as default
# Use 'make V=1' to see the full commands

ifeq ("$(origin V)", "command line")
  KBUILD_VERBOSE = $(V)
endif
ifndef KBUILD_VERBOSE
  KBUILD_VERBOSE = 0
endif

# Call a source code checker (by default, "sparse") as part of the
# C compilation.
#
# Use 'make C=1' to enable checking of only re-compiled files.
# Use 'make C=2' to enable checking of *all* source files, regardless
# of whether they are re-compiled or not.
#
# See the file "Documentation/sparse.txt" for more details, including
# where to get the "sparse" utility.

ifeq ("$(origin C)", "command line")
  KBUILD_CHECKSRC = $(C)
endif
ifndef KBUILD_CHECKSRC
  KBUILD_CHECKSRC = 0
endif

# Use make M=dir to specify directory of external module to build
# Old syntax make ... SUBDIRS=$PWD is still supported
# Setting the environment variable KBUILD_EXTMOD take precedence
ifdef SUBDIRS
  KBUILD_EXTMOD ?= $(SUBDIRS)
endif

ifeq ("$(origin M)", "command line")
  KBUILD_EXTMOD := $(M)
endif

# kbuild supports saving output files in a separate directory.
# To locate output files in a separate directory two syntaxes are supported.
# In both cases the working directory must be the root of the kernel src.
# 1) O=
# Use "make O=dir/to/store/output/files/"
#
# 2) Set KBUILD_OUTPUT
# Set the environment variable KBUILD_OUTPUT to point to the directory
# where the output files shall be placed.
# export KBUILD_OUTPUT=dir/to/store/output/files/
# make
#
# The O= assignment takes precedence over the KBUILD_OUTPUT environment
# variable.


# KBUILD_SRC is set on invocation of make in OBJ directory
# KBUILD_SRC is not intended to be used by the regular user (for now)
ifeq ($(KBUILD_SRC),)

# OK, Make called in directory where kernel src resides
# Do we want to locate output files in a separate directory?
ifeq ("$(origin O)", "command line")
  KBUILD_OUTPUT := $(O)
endif

ifeq ("$(origin W)", "command line")
  export KBUILD_ENABLE_EXTRA_GCC_CHECKS := $(W)
endif

# That's our default target when none is given on the command line
PHONY := _all
_all:

# Cancel implicit rules on top Makefile
$(CURDIR)/Makefile Makefile: ;

ifneq ($(KBUILD_OUTPUT),)
# Invoke a second make in the output directory, passing relevant variables
# check that the output directory actually exists
saved-output := $(KBUILD_OUTPUT)
KBUILD_OUTPUT := $(shell cd $(KBUILD_OUTPUT) && /bin/pwd)
$(if $(KBUILD_OUTPUT),, \
     $(error output directory "$(saved-output)" does not exist))

PHONY += $(MAKECMDGOALS) sub-make

$(filter-out _all sub-make $(CURDIR)/Makefile, $(MAKECMDGOALS)) _all: sub-make
	$(Q)@:

sub-make: FORCE
	$(if $(KBUILD_VERBOSE:1=),@)$(MAKE) -C $(KBUILD_OUTPUT) \
	KBUILD_SRC=$(CURDIR) \
	KBUILD_EXTMOD="$(KBUILD_EXTMOD)" -f $(CURDIR)/Makefile \
	$(filter-out _all sub-make,$(MAKECMDGOALS))

# Leave processing to above invocation of make
skip-makefile := 1
endif # ifneq ($(KBUILD_OUTPUT),)
endif # ifeq ($(KBUILD_SRC),)

# We process the rest of the Makefile if this is the final invocation of make
ifeq ($(skip-makefile),)

# If building an external module we do not care about the all: rule
# but instead _all depend on modules
PHONY += all
ifeq ($(KBUILD_EXTMOD),)
_all: all
else
_all: modules
endif

srctree		:= $(if $(KBUILD_SRC),$(KBUILD_SRC),$(CURDIR))
objtree		:= $(CURDIR)
src		:= $(srctree)
obj		:= $(objtree)

VPATH		:= $(srctree)$(if $(KBUILD_EXTMOD),:$(KBUILD_EXTMOD))

export srctree objtree VPATH


# SUBARCH tells the usermode build what the underlying arch is.  That is set
# first, and if a usermode build is happening, the "ARCH=um" on the command
# line overrides the setting of ARCH below.  If a native build is happening,
# then ARCH is assigned, getting whatever value it gets normally, and 
# SUBARCH is subsequently ignored.

SUBARCH := $(shell uname -m | sed -e s/i.86/i386/ -e s/sun4u/sparc64/ \
				  -e s/arm.*/arm/ -e s/sa110/arm/ \
				  -e s/s390x/s390/ -e s/parisc64/parisc/ \
				  -e s/ppc.*/powerpc/ -e s/mips.*/mips/ \
				  -e s/sh[234].*/sh/ )

# Cross compiling and selecting different set of gcc/bin-utils
# ---------------------------------------------------------------------------
#
# When performing cross compilation for other architectures ARCH shall be set
# to the target architecture. (See arch/* for the possibilities).
# ARCH can be set during invocation of make:
# make ARCH=ia64
# Another way is to have ARCH set in the environment.
# The default ARCH is the host where make is executed.

# CROSS_COMPILE specify the prefix used for all executables used
# during compilation. Only gcc and related bin-utils executables
# are prefixed with $(CROSS_COMPILE).
# CROSS_COMPILE can be set on the command line
# make CROSS_COMPILE=ia64-linux-
# Alternatively CROSS_COMPILE can be set in the environment.
# A third alternative is to store a setting in .config so that plain
# "make" in the configured kernel build directory always uses that.
# Default value for CROSS_COMPILE is not to prefix executables
# Note: Some architectures assign CROSS_COMPILE in their arch/*/Makefile
export KBUILD_BUILDHOST := $(SUBARCH)
ARCH		?= $(SUBARCH)
CROSS_COMPILE	?= $(CONFIG_CROSS_COMPILE:"%"=%)

# Architecture as present in compile.h
UTS_MACHINE 	:= $(ARCH)
SRCARCH 	:= $(ARCH)

# Additional ARCH settings for x86
ifeq ($(ARCH),i386)
        SRCARCH := x86
endif
ifeq ($(ARCH),x86_64)
        SRCARCH := x86
endif

# Additional ARCH settings for sparc
ifeq ($(ARCH),sparc32)
       SRCARCH := sparc
endif
ifeq ($(ARCH),sparc64)
       SRCARCH := sparc
endif

# Additional ARCH settings for sh
ifeq ($(ARCH),sh64)
       SRCARCH := sh
endif

# Additional ARCH settings for tile
ifeq ($(ARCH),tilepro)
       SRCARCH := tile
endif
ifeq ($(ARCH),tilegx)
       SRCARCH := tile
endif

# Where to locate arch specific headers
hdr-arch  := $(SRCARCH)

KCONFIG_CONFIG	?= .config
export KCONFIG_CONFIG

# SHELL used by kbuild
CONFIG_SHELL := $(shell if [ -x "$$BASH" ]; then echo $$BASH; \
	  else if [ -x /bin/bash ]; then echo /bin/bash; \
	  else echo sh; fi ; fi)

HOSTCC       = gcc
HOSTCXX      = g++
HOSTCFLAGS   = -Wall -Wmissing-prototypes -Wstrict-prototypes -O2 -fomit-frame-pointer
HOSTCXXFLAGS = -O2

# Decide whether to build built-in, modular, or both.
# Normally, just do built-in.

KBUILD_MODULES :=
KBUILD_BUILTIN := 1

#	If we have only "make modules", don't compile built-in objects.
#	When we're building modules with modversions, we need to consider
#	the built-in objects during the descend as well, in order to
#	make sure the checksums are up to date before we record them.

ifeq ($(MAKECMDGOALS),modules)
  KBUILD_BUILTIN := $(if $(CONFIG_MODVERSIONS),1)
endif

#	If we have "make <whatever> modules", compile modules
#	in addition to whatever we do anyway.
#	Just "make" or "make all" shall build modules as well

ifneq ($(filter all _all modules,$(MAKECMDGOALS)),)
  KBUILD_MODULES := 1
endif

ifeq ($(MAKECMDGOALS),)
  KBUILD_MODULES := 1
endif

export KBUILD_MODULES KBUILD_BUILTIN
export KBUILD_CHECKSRC KBUILD_SRC KBUILD_EXTMOD

# Beautify output
# ---------------------------------------------------------------------------
#
# Normally, we echo the whole command before executing it. By making
# that echo $($(quiet)$(cmd)), we now have the possibility to set
# $(quiet) to choose other forms of output instead, e.g.
#
#         quiet_cmd_cc_o_c = Compiling $(RELDIR)/$@
#         cmd_cc_o_c       = $(CC) $(c_flags) -c -o $@ $<
#
# If $(quiet) is empty, the whole command will be printed.
# If it is set to "quiet_", only the short version will be printed. 
# If it is set to "silent_", nothing will be printed at all, since
# the variable $(silent_cmd_cc_o_c) doesn't exist.
#
# A simple variant is to prefix commands with $(Q) - that's useful
# for commands that shall be hidden in non-verbose mode.
#
#	$(Q)ln $@ :<
#
# If KBUILD_VERBOSE equals 0 then the above command will be hidden.
# If KBUILD_VERBOSE equals 1 then the above command is displayed.

ifeq ($(KBUILD_VERBOSE),1)
  quiet =
  Q =
else
  quiet=quiet_
  Q = @
endif

# If the user is running make -s (silent mode), suppress echoing of
# commands

ifneq ($(filter s% -s%,$(MAKEFLAGS)),)
  quiet=silent_
endif

export quiet Q KBUILD_VERBOSE


# Look for make include files relative to root of kernel src
MAKEFLAGS += --include-dir=$(srctree)

# We need some generic definitions (do not try to remake the file).
$(srctree)/scripts/Kbuild.include: ;
include $(srctree)/scripts/Kbuild.include

# Make variables (CC, etc...)

AS		= $(CROSS_COMPILE)as
LD		= $(CROSS_COMPILE)ld
CC		= $(CROSS_COMPILE)gcc
CPP		= $(CC) -E
AR		= $(CROSS_COMPILE)ar
NM		= $(CROSS_COMPILE)nm
STRIP		= $(CROSS_COMPILE)strip
OBJCOPY		= $(CROSS_COMPILE)objcopy
OBJDUMP		= $(CROSS_COMPILE)objdump
AWK		= awk
GENKSYMS	= scripts/genksyms/genksyms
INSTALLKERNEL  := installkernel
DEPMOD		= /sbin/depmod
PERL		= perl
CHECK		= sparse

CHECKFLAGS     := -D__linux__ -Dlinux -D__STDC__ -Dunix -D__unix__ \
		  -Wbitwise -Wno-return-void $(CF)
CFLAGS_MODULE   =
AFLAGS_MODULE   =
LDFLAGS_MODULE  =
CFLAGS_KERNEL	=
AFLAGS_KERNEL	=
CFLAGS_GCOV	= -fprofile-arcs -ftest-coverage

# Prefer linux-backports-modules
ifneq ($(KBUILD_SRC),)
ifneq ($(shell if test -e $(KBUILD_OUTPUT)/ubuntu-build; then echo yes; fi),yes)
UBUNTUINCLUDE := -I/usr/src/linux-headers-lbm-$(KERNELRELEASE)
endif
endif

# Use LINUXINCLUDE when you must reference the include/ directory.
# Needed to be compatible with the O= option
LINUXINCLUDE    := $(UBUNTUINCLUDE) -I$(srctree)/arch/$(hdr-arch)/include \
                   -Iarch/$(hdr-arch)/include/generated -Iinclude \
                   $(if $(KBUILD_SRC), -I$(srctree)/include) \
                   -include $(srctree)/include/linux/kconfig.h

# UBUNTU: Include our third party driver stuff too
LINUXINCLUDE   += -Iubuntu/include $(if $(KBUILD_SRC),-I$(srctree)/ubuntu/include)

KBUILD_CPPFLAGS := -D__KERNEL__

KBUILD_CFLAGS   := -Wall -Wundef -Wstrict-prototypes -Wno-trigraphs \
		   -fno-strict-aliasing -fno-common \
		   -Werror-implicit-function-declaration \
		   -Wno-format-security \
		   -fno-delete-null-pointer-checks
KBUILD_AFLAGS_KERNEL :=
KBUILD_CFLAGS_KERNEL :=
KBUILD_AFLAGS   := -D__ASSEMBLY__
KBUILD_AFLAGS_MODULE  := -DMODULE
KBUILD_CFLAGS_MODULE  := -DMODULE
KBUILD_LDFLAGS_MODULE := -T $(srctree)/scripts/module-common.lds

# Read KERNELRELEASE from include/config/kernel.release (if it exists)
KERNELRELEASE = $(shell cat include/config/kernel.release 2> /dev/null)
KERNELVERSION = $(VERSION)$(if $(PATCHLEVEL),.$(PATCHLEVEL)$(if $(SUBLEVEL),.$(SUBLEVEL)))$(EXTRAVERSION)

export VERSION PATCHLEVEL SUBLEVEL KERNELRELEASE KERNELVERSION

=== ubuntu/Makefile ===
#
# Makefile for the Linux kernel ubuntu supplied third-party device drivers.
#

#
# NOTE: to allow drivers to be added and removed without causing merge
# collisions you should add new entries in the middle of the six lines
# of ## at the bottom of the list.  Always add three lines of ## above
# your new entry and maintain the six lines below.
#

##
##
##
obj-$(CONFIG_DM_RAID45)		+= dm-raid4-5/
##
##
##
obj-$(CONFIG_AUFS_FS)		+= aufs/
##
##
##
obj-$(CONFIG_DRM_I915_HSW)		+= i915/
##
##
##
##
##
##

# This is a stupid trick to get kbuild to create ubuntu/built-in.o
obj- += foo.o

=== drivers/net/Makefile ===
#
# Makefile for the Linux network device drivers.
#
obj-$(CONFIG_MV_ETH_LEGACY) += ../../arch/arm/plat-armada/mv_drivers_lsp/mv_network/mv_ethernet/
obj-$(CONFIG_MV_ETH_NETA) += ../../arch/arm/plat-armada/mv_drivers_lsp/mv_neta/net_dev/

#
# Networking Core Drivers
#
obj-$(CONFIG_BONDING) += bonding/
obj-$(CONFIG_DUMMY) += dummy.o
obj-$(CONFIG_EQUALIZER) += eql.o
obj-$(CONFIG_IFB) += ifb.o
obj-$(CONFIG_MACVLAN) += macvlan.o
obj-$(CONFIG_MACVTAP) += macvtap.o
obj-$(CONFIG_MII) += mii.o
obj-$(CONFIG_MDIO) += mdio.o
obj-$(CONFIG_NET) += Space.o loopback.o
obj-$(CONFIG_NETCONSOLE) += netconsole.o
obj-$(CONFIG_PHYLIB) += phy/
obj-$(CONFIG_RIONET) += rionet.o
obj-$(CONFIG_NET_TEAM) += team/
obj-$(CONFIG_TUN) += tun.o
obj-$(CONFIG_VETH) += veth.o
obj-$(CONFIG_VIRTIO_NET) += virtio_net.o

#
# Networking Drivers
#
obj-$(CONFIG_ARCNET) += arcnet/
obj-$(CONFIG_DEV_APPLETALK) += appletalk/
obj-$(CONFIG_CAIF) += caif/
obj-$(CONFIG_CAN) += can/
obj-$(CONFIG_ETRAX_ETHERNET) += cris/
obj-$(CONFIG_NET_DSA) += dsa/
obj-$(CONFIG_ETHERNET) += ethernet/
obj-$(CONFIG_FDDI) += fddi/
obj-$(CONFIG_HIPPI) += hippi/
obj-$(CONFIG_HAMRADIO) += hamradio/
obj-$(CONFIG_IRDA) += irda/
obj-$(CONFIG_PLIP) += plip/
obj-$(CONFIG_PPP) += ppp/
obj-$(CONFIG_PPP_ASYNC) += ppp/
obj-$(CONFIG_PPP_BSDCOMP) += ppp/
obj-$(CONFIG_PPP_DEFLATE) += ppp/
obj-$(CONFIG_PPP_MPPE) += ppp/
obj-$(CONFIG_PPP_SYNC_TTY) += ppp/
obj-$(CONFIG_PPPOE) += ppp/
obj-$(CONFIG_PPPOL2TP) += ppp/
obj-$(CONFIG_PPTP) += ppp/
obj-$(CONFIG_SLIP) += slip/
obj-$(CONFIG_SLHC) += slip/
obj-$(CONFIG_NET_SB1000) += sb1000.o
obj-$(CONFIG_SUNGEM_PHY) += sungem_phy.o
obj-$(CONFIG_WAN) += wan/
obj-$(CONFIG_WLAN) += wireless/
obj-$(CONFIG_WIMAX) += wimax/

obj-$(CONFIG_VMXNET3) += vmxnet3/
obj-$(CONFIG_XEN_NETDEV_FRONTEND) += xen-netfront.o
obj-$(CONFIG_XEN_NETDEV_BACKEND) += xen-netback/

obj-$(CONFIG_USB_CATC)          += usb/
obj-$(CONFIG_USB_KAWETH)        += usb/
obj-$(CONFIG_USB_PEGASUS)       += usb/
obj-$(CONFIG_USB_RTL8150)       += usb/
obj-$(CONFIG_USB_HSO)		+= usb/
obj-$(CONFIG_USB_USBNET)        += usb/
obj-$(CONFIG_USB_ZD1201)        += usb/
obj-$(CONFIG_USB_IPHETH)        += usb/
obj-$(CONFIG_USB_CDC_PHONET)   += usb/

obj-$(CONFIG_HYPERV_NET) += hyperv/

=== net/core/Makefile ===
#
# Makefile for the Linux networking core.
#

obj-y := sock.o request_sock.o skbuff.o iovec.o datagram.o stream.o scm.o \
	 gen_stats.o gen_estimator.o net_namespace.o secure_seq.o flow_dissector.o

obj-$(CONFIG_SYSCTL) += sysctl_net_core.o

obj-y		     += dev.o ethtool.o dev_addr_lists.o dst.o netevent.o \
			neighbour.o rtnetlink.o utils.o link_watch.o filter.o \
			sock_diag.o

obj-$(CONFIG_XFRM) += flow.o
obj-y += net-sysfs.o
obj-$(CONFIG_NET_PKTGEN) += pktgen.o
obj-$(CONFIG_NETPOLL) += netpoll.o
obj-$(CONFIG_NET_DMA) += user_dma.o
obj-$(CONFIG_FIB_RULES) += fib_rules.o
obj-$(CONFIG_TRACEPOINTS) += net-traces.o
obj-$(CONFIG_NET_DROP_MONITOR) += drop_monitor.o
obj-$(CONFIG_NETWORK_PHY_TIMESTAMPING) += timestamping.o
obj-$(CONFIG_NETPRIO_CGROUP) += netprio_cgroup.o

ifeq ($(CONFIG_MV_ETH_NFP),y)
obj-y += mv_nfp.o
endif
ifeq ($(CONFIG_MV_ETH_NFP),m)
obj-y += mv_nfp.o
endif

=== net/netfilter/Makefile ===
netfilter-objs := core.o nf_log.o nf_queue.o nf_sockopt.o

nf_conntrack-y	:= nf_conntrack_core.o nf_conntrack_standalone.o nf_conntrack_expect.o nf_conntrack_helper.o nf_conntrack_proto.o nf_conntrack_l3proto_generic.o nf_conntrack_proto_generic.o nf_conntrack_proto_tcp.o nf_conntrack_proto_udp.o nf_conntrack_extend.o nf_conntrack_acct.o
nf_conntrack-$(CONFIG_NF_CONNTRACK_TIMEOUT) += nf_conntrack_timeout.o
nf_conntrack-$(CONFIG_NF_CONNTRACK_TIMESTAMP) += nf_conntrack_timestamp.o
nf_conntrack-$(CONFIG_NF_CONNTRACK_EVENTS) += nf_conntrack_ecache.o

obj-$(CONFIG_NETFILTER) = netfilter.o

obj-$(CONFIG_NETFILTER_NETLINK) += nfnetlink.o
obj-$(CONFIG_NETFILTER_NETLINK_ACCT) += nfnetlink_acct.o
obj-$(CONFIG_NETFILTER_NETLINK_QUEUE) += nfnetlink_queue.o
obj-$(CONFIG_NETFILTER_NETLINK_LOG) += nfnetlink_log.o

# connection tracking
obj-$(CONFIG_NF_CONNTRACK) += nf_conntrack.o

# SCTP protocol connection tracking
obj-$(CONFIG_NF_CT_PROTO_DCCP) += nf_conntrack_proto_dccp.o
obj-$(CONFIG_NF_CT_PROTO_GRE) += nf_conntrack_proto_gre.o
obj-$(CONFIG_NF_CT_PROTO_SCTP) += nf_conntrack_proto_sctp.o
obj-$(CONFIG_NF_CT_PROTO_UDPLITE) += nf_conntrack_proto_udplite.o

# netlink interface for nf_conntrack
obj-$(CONFIG_NF_CT_NETLINK) += nf_conntrack_netlink.o
obj-$(CONFIG_NF_CT_NETLINK_TIMEOUT) += nfnetlink_cttimeout.o

# connection tracking helpers
nf_conntrack_h323-objs := nf_conntrack_h323_main.o nf_conntrack_h323_asn1.o

obj-$(CONFIG_NF_CONNTRACK_AMANDA) += nf_conntrack_amanda.o
obj-$(CONFIG_NF_CONNTRACK_FTP) += nf_conntrack_ftp.o
obj-$(CONFIG_NF_CONNTRACK_H323) += nf_conntrack_h323.o
obj-$(CONFIG_NF_CONNTRACK_IRC) += nf_conntrack_irc.o
obj-$(CONFIG_NF_CONNTRACK_BROADCAST) += nf_conntrack_broadcast.o
obj-$(CONFIG_NF_CONNTRACK_NETBIOS_NS) += nf_conntrack_netbios_ns.o
obj-$(CONFIG_NF_CONNTRACK_SNMP) += nf_conntrack_snmp.o
obj-$(CONFIG_NF_CONNTRACK_PPTP) += nf_conntrack_pptp.o
obj-$(CONFIG_NF_CONNTRACK_SANE) += nf_conntrack_sane.o
obj-$(CONFIG_NF_CONNTRACK_SIP) += nf_conntrack_sip.o
obj-$(CONFIG_NF_CONNTRACK_TFTP) += nf_conntrack_tftp.o

# transparent proxy support
obj-$(CONFIG_NETFILTER_TPROXY) += nf_tproxy_core.o

# generic X tables 
obj-$(CONFIG_NETFILTER_XTABLES) += x_tables.o xt_tcpudp.o

# combos
obj-$(CONFIG_NETFILTER_XT_MARK) += xt_mark.o
obj-$(CONFIG_NETFILTER_XT_CONNMARK) += xt_connmark.o
obj-$(CONFIG_NETFILTER_XT_SET) += xt_set.o

# targets
obj-$(CONFIG_NETFILTER_XT_TARGET_AUDIT) += xt_AUDIT.o
obj-$(CONFIG_NETFILTER_XT_TARGET_CHECKSUM) += xt_CHECKSUM.o
obj-$(CONFIG_NETFILTER_XT_TARGET_CLASSIFY) += xt_CLASSIFY.o
obj-$(CONFIG_NETFILTER_XT_TARGET_CONNSECMARK) += xt_CONNSECMARK.o
obj-$(CONFIG_NETFILTER_XT_TARGET_CT) += xt_CT.o
obj-$(CONFIG_NETFILTER_XT_TARGET_DSCP) += xt_DSCP.o
obj-$(CONFIG_NETFILTER_XT_TARGET_HL) += xt_HL.o
obj-$(CONFIG_NETFILTER_XT_TARGET_HMARK) += xt_HMARK.o
obj-$(CONFIG_NETFILTER_XT_TARGET_LED) += xt_LED.o
obj-$(CONFIG_NETFILTER_XT_TARGET_LOG) += xt_LOG.o
obj-$(CONFIG_NETFILTER_XT_TARGET_NFLOG) += xt_NFLOG.o
obj-$(CONFIG_NETFILTER_XT_TARGET_NFQUEUE) += xt_NFQUEUE.o
obj-$(CONFIG_NETFILTER_XT_TARGET_NOTRACK) += xt_NOTRACK.o
obj-$(CONFIG_NETFILTER_XT_TARGET_RATEEST) += xt_RATEEST.o
obj-$(CONFIG_NETFILTER_XT_TARGET_SECMARK) += xt_SECMARK.o
obj-$(CONFIG_NETFILTER_XT_TARGET_TPROXY) += xt_TPROXY.o
obj-$(CONFIG_NETFILTER_XT_TARGET_TCPMSS) += xt_TCPMSS.o
obj-$(CONFIG_NETFILTER_XT_TARGET_TCPOPTSTRIP) += xt_TCPOPTSTRIP.o
obj-$(CONFIG_NETFILTER_XT_TARGET_TEE) += xt_TEE.o
obj-$(CONFIG_NETFILTER_XT_TARGET_TRACE) += xt_TRACE.o
obj-$(CONFIG_NETFILTER_XT_TARGET_IDLETIMER) += xt_IDLETIMER.o

# matches
obj-$(CONFIG_NETFILTER_XT_MATCH_ADDRTYPE) += xt_addrtype.o
obj-$(CONFIG_NETFILTER_XT_MATCH_CLUSTER) += xt_cluster.o
obj-$(CONFIG_NETFILTER_XT_MATCH_COMMENT) += xt_comment.o
obj-$(CONFIG_NETFILTER_XT_MATCH_CONNBYTES) += xt_connbytes.o
obj-$(CONFIG_NETFILTER_XT_MATCH_CONNLIMIT) += xt_connlimit.o
obj-$(CONFIG_NETFILTER_XT_MATCH_CONNTRACK) += xt_conntrack.o
obj-$(CONFIG_NETFILTER_XT_MATCH_CPU) += xt_cpu.o
obj-$(CONFIG_NETFILTER_XT_MATCH_DCCP) += xt_dccp.o
obj-$(CONFIG_NETFILTER_XT_MATCH_DEVGROUP) += xt_devgroup.o
obj-$(CONFIG_NETFILTER_XT_MATCH_DSCP) += xt_dscp.o
obj-$(CONFIG_NETFILTER_XT_MATCH_ECN) += xt_ecn.o
obj-$(CONFIG_NETFILTER_XT_MATCH_ESP) += xt_esp.o
obj-$(CONFIG_NETFILTER_XT_MATCH_HASHLIMIT) += xt_hashlimit.o
obj-$(CONFIG_NETFILTER_XT_MATCH_HELPER) += xt_helper.o
obj-$(CONFIG_NETFILTER_XT_MATCH_HL) += xt_hl.o
obj-$(CONFIG_NETFILTER_XT_MATCH_IPRANGE) += xt_iprange.o
obj-$(CONFIG_NETFILTER_XT_MATCH_IPVS) += xt_ipvs.o
obj-$(CONFIG_NETFILTER_XT_MATCH_LENGTH) += xt_length.o
obj-$(CONFIG_NETFILTER_XT_MATCH_LIMIT) += xt_limit.o
obj-$(CONFIG_NETFILTER_XT_MATCH_MAC) += xt_mac.o
obj-$(CONFIG_NETFILTER_XT_MATCH_MULTIPORT) += xt_multiport.o
obj-$(CONFIG_NETFILTER_XT_MATCH_NFACCT) += xt_nfacct.o
obj-$(CONFIG_NETFILTER_XT_MATCH_OSF) += xt_osf.o
obj-$(CONFIG_NETFILTER_XT_MATCH_OWNER) += xt_owner.o
obj-$(CONFIG_NETFILTER_XT_MATCH_PHYSDEV) += xt_physdev.o
obj-$(CONFIG_NETFILTER_XT_MATCH_PKTTYPE) += xt_pkttype.o
obj-$(CONFIG_NETFILTER_XT_MATCH_POLICY) += xt_policy.o
obj-$(CONFIG_NETFILTER_XT_MATCH_QUOTA) += xt_quota.o
obj-$(CONFIG_NETFILTER_XT_MATCH_RATEEST) += xt_rateest.o
obj-$(CONFIG_NETFILTER_XT_MATCH_REALM) += xt_realm.o
obj-$(CONFIG_NETFILTER_XT_MATCH_RECENT) += xt_recent.o
obj-$(CONFIG_NETFILTER_XT_MATCH_SCTP) += xt_sctp.o
obj-$(CONFIG_NETFILTER_XT_MATCH_SOCKET) += xt_socket.o
obj-$(CONFIG_NETFILTER_XT_MATCH_STATE) += xt_state.o
obj-$(CONFIG_NETFILTER_XT_MATCH_LAYER7) += xt_layer7.o
obj-$(CONFIG_NETFILTER_XT_MATCH_STATISTIC) += xt_statistic.o
obj-$(CONFIG_NETFILTER_XT_MATCH_STRING) += xt_string.o
obj-$(CONFIG_NETFILTER_XT_MATCH_TCPMSS) += xt_tcpmss.o
obj-$(CONFIG_NETFILTER_XT_MATCH_TIME) += xt_time.o
obj-$(CONFIG_NETFILTER_XT_MATCH_U32) += xt_u32.o

# ipset
obj-$(CONFIG_IP_SET) += ipset/

# IPVS
obj-$(CONFIG_IP_VS) += ipvs/

=== arch/arm/mm/Makefile ===
#
# Makefile for the linux arm-specific parts of the memory manager.
#

include 	  $(srctree)/arch/arm/mach-armadaxp/config/mvRules.mk

obj-y				:= dma-mapping.o extable.o fault.o init.o \
				   iomap.o

obj-$(CONFIG_MMU)		+= fault-armv.o flush.o idmap.o ioremap.o \
				   mmap.o pgd.o mmu.o vmregion.o

ifneq ($(CONFIG_MMU),y)
obj-y				+= nommu.o
endif

obj-$(CONFIG_MODULES)		+= proc-syms.o

obj-$(CONFIG_ALIGNMENT_TRAP)	+= alignment.o
obj-$(CONFIG_HIGHMEM)		+= highmem.o

obj-$(CONFIG_CPU_ABRT_NOMMU)	+= abort-nommu.o
obj-$(CONFIG_CPU_ABRT_EV4)	+= abort-ev4.o
obj-$(CONFIG_CPU_ABRT_EV4T)	+= abort-ev4t.o
obj-$(CONFIG_CPU_ABRT_LV4T)	+= abort-lv4t.o
obj-$(CONFIG_CPU_ABRT_EV5T)	+= abort-ev5t.o
obj-$(CONFIG_CPU_ABRT_EV5TJ)	+= abort-ev5tj.o
obj-$(CONFIG_CPU_ABRT_EV6)	+= abort-ev6.o
obj-$(CONFIG_CPU_ABRT_EV7)	+= abort-ev7.o

AFLAGS_abort-ev6.o	:=-Wa,-march=armv6k
AFLAGS_abort-ev7.o	:=-Wa,-march=armv7-a

obj-$(CONFIG_CPU_PABRT_LEGACY)	+= pabort-legacy.o
obj-$(CONFIG_CPU_PABRT_V6)	+= pabort-v6.o
obj-$(CONFIG_CPU_PABRT_V7)	+= pabort-v7.o

obj-$(CONFIG_CPU_CACHE_V3)	+= cache-v3.o
obj-$(CONFIG_CPU_CACHE_V4)	+= cache-v4.o
obj-$(CONFIG_CPU_CACHE_V4WT)	+= cache-v4wt.o
obj-$(CONFIG_CPU_CACHE_V4WB)	+= cache-v4wb.o
obj-$(CONFIG_CPU_CACHE_V6)	+= cache-v6.o
obj-$(CONFIG_CPU_CACHE_V7)	+= cache-v7.o
obj-$(CONFIG_CPU_CACHE_FA)	+= cache-fa.o

AFLAGS_cache-v6.o	:=-Wa,-march=armv6
AFLAGS_cache-v7.o	:=-Wa,-march=armv7-a

obj-$(CONFIG_CPU_COPY_V4WT)	+= copypage-v4wt.o
obj-$(CONFIG_CPU_COPY_V4WB)	+= copypage-v4wb.o
obj-$(CONFIG_CPU_COPY_FEROCEON)	+= copypage-feroceon.o
obj-$(CONFIG_CPU_COPY_V6)	+= copypage-v6.o context.o
obj-$(CONFIG_CPU_SA1100)	+= copypage-v4mc.o
obj-$(CONFIG_CPU_XSCALE)	+= copypage-xscale.o
obj-$(CONFIG_CPU_XSC3)		+= copypage-xsc3.o
obj-$(CONFIG_CPU_COPY_FA)	+= copypage-fa.o

obj-$(CONFIG_CPU_TLB_V4WT)	+= tlb-v4.o
obj-$(CONFIG_CPU_TLB_V4WB)	+= tlb-v4wb.o
obj-$(CONFIG_CPU_TLB_V4WBI)	+= tlb-v4wbi.o
obj-$(CONFIG_CPU_TLB_FEROCEON)	+= tlb-v4wbi.o	# reuse v4wbi TLB functions
obj-$(CONFIG_CPU_TLB_V6)	+= tlb-v6.o
obj-$(CONFIG_CPU_TLB_V7)	+= tlb-v7.o
obj-$(CONFIG_CPU_TLB_FA)	+= tlb-fa.o

AFLAGS_tlb-v6.o		:=-Wa,-march=armv6
AFLAGS_tlb-v7.o		:=-Wa,-march=armv7-a

obj-$(CONFIG_CPU_ARM7TDMI)	+= proc-arm7tdmi.o
obj-$(CONFIG_CPU_ARM720T)	+= proc-arm720.o
obj-$(CONFIG_CPU_ARM740T)	+= proc-arm740.o
obj-$(CONFIG_CPU_ARM9TDMI)	+= proc-arm9tdmi.o
obj-$(CONFIG_CPU_ARM920T)	+= proc-arm920.o
obj-$(CONFIG_CPU_ARM922T)	+= proc-arm922.o
obj-$(CONFIG_CPU_ARM925T)	+= proc-arm925.o
obj-$(CONFIG_CPU_ARM926T)	+= proc-arm926.o
obj-$(CONFIG_CPU_ARM940T)	+= proc-arm940.o
obj-$(CONFIG_CPU_ARM946E)	+= proc-arm946.o
obj-$(CONFIG_CPU_FA526)		+= proc-fa526.o
obj-$(CONFIG_CPU_ARM1020)	+= proc-arm1020.o
obj-$(CONFIG_CPU_ARM1020E)	+= proc-arm1020e.o
obj-$(CONFIG_CPU_ARM1022)	+= proc-arm1022.o
obj-$(CONFIG_CPU_ARM1026)	+= proc-arm1026.o
obj-$(CONFIG_CPU_SA110)		+= proc-sa110.o
obj-$(CONFIG_CPU_SA1100)	+= proc-sa1100.o
obj-$(CONFIG_CPU_XSCALE)	+= proc-xscale.o
obj-$(CONFIG_CPU_XSC3)		+= proc-xsc3.o
obj-$(CONFIG_CPU_MOHAWK)	+= proc-mohawk.o
obj-$(CONFIG_CPU_FEROCEON)	+= proc-feroceon.o
#obj-$(CONFIG_CPU_V6)		+= proc-v6.o
#obj-$(CONFIG_CPU_V7)		+= proc-v7.o
obj-$(CONFIG_CPU_SHEEVA_PJ4B_V6)	+= proc-sheeva_pj4bv6.o
obj-$(CONFIG_CPU_SHEEVA_PJ4B_V7)	+= proc-sheeva_pj4bv7.o

AFLAGS_proc-v6.o	:=-Wa,-march=armv6
AFLAGS_proc-v7.o	:=-Wa,-march=armv7-a

AFLAGS_proc-sheeva_pj4bv7.o        :=-Wa,-march=armv6
AFLAGS_proc-sheeva_pj4bv7.o        :=-Wa,-march=armv7-a

obj-$(CONFIG_CACHE_FEROCEON_L2)	+= cache-feroceon-l2.o
obj-$(CONFIG_CACHE_L2X0)	+= cache-l2x0.o
obj-$(CONFIG_CACHE_XSC3L2)	+= cache-xsc3l2.o
obj-$(CONFIG_CACHE_TAUROS2)	+= cache-tauros2.o
obj-$(CONFIG_CACHE_AURORA_L2)	+= cache-aurora-l2.o

=== arch/arm/plat-armada/Makefile ===
ifeq ($(CONFIG_ARCH_FEROCEON),y)
	include $(srctree)/$(MACHINE)/config/mvRules.mk
endif

ifeq ($(CONFIG_ARCH_ARMADA_XP),y)
	include $(srctree)/arch/arm/mach-armadaxp/config/mvRules.mk
endif

# This will never compile, because DUMMY will never by defined.
obj-$(DUMMY)   				:= dummy.o

obj-$(CONFIG_SHEEVA_DEEP_IDLE)		+= cpuidle.o armadaxp_suspend.o
obj-$(CONFIG_HOTPLUG_CPU)               += hotplug.o
obj-$(CONFIG_ARCH_ARMADA_XP)		+= pmu.o
obj-$(CONFIG_PCI_MSI)			+= msi.o
#obj-$(CONFIG_ERROR_HANDLIG)		+=error_handling.o

=== arch/arm/plat-armada/mv_drivers_lsp/mv_ipc_net/Makefile ===
#
# Makefile for the Marvell Gigabit Ethernet driver
#
ifeq ($(CONFIG_ARCH_ARMADA_XP),y)
	include $(srctree)/arch/arm/mach-armadaxp/config/mvRules.mk
endif
obj-$(CONFIG_MV_IPC_NET) += ipc_net.o

=== arch/arm/plat-armada/mv_drivers_lsp/mv_mtd/Makefile ===

ifeq ($(CONFIG_ARCH_FEROCEON),y)
	include $(srctree)/$(MACHINE)/config/mvRules.mk
endif

ifeq ($(CONFIG_ARCH_ARMADA_XP),y)
	include $(srctree)/arch/arm/mach-armadaxp/config/mvRules.mk
endif
 
obj-$(CONFIG_MV_INCLUDE_SFLASH_MTD) 	+= sflash.o
obj-$(CONFIG_MV_INCLUDE_MFLASH_MTD) 	+= mflash.o
obj-$(CONFIG_MTD_NAND_LNC)		+= nand_lnc.o
obj-$(CONFIG_MTD_NAND_NFC)		+= nand_nfc.o

=== arch/arm/plat-armada/mv_drivers_lsp/mv_tsu/Makefile ===
#
# Makefile for the Marvell Transport Stream Unit driver
#
ifeq ($(CONFIG_ARCH_FEROCEON),y)
	include $(srctree)/$(MACHINE)/config/mvRules.mk
endif

obj-$(CONFIG_MV_TSU)	+= mv_tsu.o

=== arch/arm/plat-armada/mv_drivers_lsp/mv_network/mv_ethernet/Makefile ===
#
# Makefile for the Marvell Gigabit Ethernet driver
#
ifeq ($(CONFIG_ARCH_FEROCEON),y)
	include $(srctree)/$(MACHINE)/config/mvRules.mk
endif

ifeq ($(CONFIG_ARCH_ARMADA_XP),y)
	include $(srctree)/arch/arm/mach-armadaxp/config/mvRules.mk
endif

obj-$(CONFIG_MV_ETHERNET) += mv_netdev.o mv_ethernet.o
obj-$(CONFIG_MV_ETH_PROC) += mv_eth_proc.o
obj-$(CONFIG_MV_GATEWAY) +=  mv_gateway.o
obj-$(CONFIG_MV_GTW_IGMP) += mv_gtw_igmp.o
obj-$(CONFIG_MV_ETH_TOOL) += mv_eth_tool.o

=== debian/changelog ===
linux-armadaxp (3.5.0-1608.10) quantal-proposed; urgency=low

  [ Ike Panhc ]

  * Release Tracking Bug
    - LP: #1105145
  * Rebase onto Ubuntu-3.5.0-23.35

  [ Ubuntu: 3.5.0-23.35 ]

  * Release Tracking Bug
    - LP: #1103932
  * Revert "fsnotify: change locking order"
    - LP: #1101666
  * Revert "fsnotify: dont put marks on temporary list when clearing marks
    by group"
    - LP: #1101666
  * Revert "fsnotify: introduce locked versions of fsnotify_add_mark() and
    fsnotify_remove_mark()"
    - LP: #1101666
  * Revert "fsnotify: pass group to fsnotify_destroy_mark()"
    - LP: #1101666
  * Revert "fsnotify: use a mutex instead of a spinlock to protect a groups
    mark list"
    - LP: #1101666
  * Revert "fanotify: add an extra flag to mark_remove_from_mask that
    indicates wheather a mark should be destroyed"
    - LP: #1101666
  * Revert "fsnotify: take groups mark_lock before mark lock"
    - LP: #1101666
  * Revert "fsnotify: use reference counting for groups"
    - LP: #1101666
  * Revert "fsnotify: introduce fsnotify_get_group()"
    - LP: #1101666
  * radeon/kms: force rn50 chip to always report connected on analog output
    - LP: #1103320

 -- Ike Panhc <ike.pan@canonical.com>  Fri, 25 Jan 2013 10:05:30 +0800

linux-armadaxp (3.5.0-1607.9) quantal-proposed; urgency=low

  [ Ike Panhc ]

  * Release Tracking Bug
    - LP: #1097914
  * Rebase onto Ubuntu-3.5.0-22.33
  * Rebase onto Ubuntu-3.5.0-22.34

  [ Ubuntu: 3.5.0-22.34 ]

  * Release Tracking Bug
    - LP: #1097343
  * Revert "SAUCE: fsnotify: dont put marks on temporary list when clearing
    marks by group"
    - LP: #1096137
  * Revert "SAUCE: fsnotify: introduce locked versions of
    fsnotify_add_mark() and fsnotify_remove_mark()"
    - LP: #1096137
  * Revert "SAUCE: fsnotify: pass group to fsnotify_destroy_mark()"
    - LP: #1096137
  * Revert "SAUCE: fsnotify: use a mutex instead of a spinlock to protect a
    groups mark list"
    - LP: #1096137
  * Revert "SAUCE: fanotify: add an extra flag to mark_remove_from_mask
    that indicates wheather a mark should be destroyed"
    - LP: #1096137
  * Revert "SAUCE: fsnotify: take groups mark_lock before mark lock"
    - LP: #1096137
  * Revert "SAUCE: fsnotify: use reference counting for groups"
    - LP: #1096137
  * Revert "SAUCE: fsnotify: introduce fsnotify_get_group()"
    - LP: #1096137
  * fsnotify: introduce fsnotify_get_group()
    - LP: #1096137
  * fsnotify: use reference counting for groups
    - LP: #1096137
  * fsnotify: take groups mark_lock before mark lock
    - LP: #1096137
  * fanotify: add an extra flag to mark_remove_from_mask that indicates
    wheather a mark should be destroyed
    - LP: #1096137
  * fsnotify: use a mutex instead of a spinlock to protect a groups mark
    list
    - LP: #1096137
  * fsnotify: pass group to fsnotify_destroy_mark()
    - LP: #1096137
  * fsnotify: introduce locked versions of fsnotify_add_mark() and
    fsnotify_remove_mark()
    - LP: #1096137
  * fsnotify: dont put marks on temporary list when clearing marks by group
    - LP: #1096137
  * fsnotify: change locking order
    - LP: #1096137

  [ Ubuntu: 3.5.0-22.33 ]

  * Release Tracking Bug
    - LP: #1095349
  * SAUCE: add eeprom_bad_csum_allow module parameter
    - LP: #1070182
  * SAUCE: samsung-laptop: disable in UEFI mode
    - LP: #1040557
  * SAUCE: exec: do not leave bprm->interp on stack
    - LP: #1068888
    - CVE-2012-4530
  * Add ceph to linux-image for virtual instances
    - LP: #1063784
  * SAUCE: fsnotify: introduce fsnotify_get_group()
    - LP: #922906
  * SAUCE: fsnotify: use reference counting for groups
    - LP: #922906
  * SAUCE: fsnotify: take groups mark_lock before mark lock
    - LP: #922906
  * SAUCE: fanotify: add an extra flag to mark_remove_from_mask that
    indicates wheather a mark should be destroyed
    - LP: #922906
  * SAUCE: fsnotify: use a mutex instead of a spinlock to protect a groups
    mark list
    - LP: #922906
  * SAUCE: fsnotify: pass group to fsnotify_destroy_mark()
    - LP: #922906
  * SAUCE: fsnotify: introduce locked versions of fsnotify_add_mark() and
    fsnotify_remove_mark()
    - LP: #922906
  * SAUCE: fsnotify: dont put marks on temporary list when clearing marks
    by group
    - LP: #922906
  * SAUCE: tools: hv: Netlink source address validation allows DoS
    - LP: #1084777
    - CVE-2012-5532
  * Revert "Staging: Android alarm: IOCTL command encoding fix"
    - LP: #1091251
  * Revert "sched, autogroup: Stop going ahead if autogroup is disabled"
    - LP: #1091251
  * Revert "serial: omap: fix software flow control"
    - LP: #1091251
  * drm/i915: EBUSY status handling added to i915_gem_fault().
    - LP: #1087302
  * MISC: hpilo, remove pci_disable_device
    - LP: #1087860
  * asix: Adds support for Lenovo 10/100 USB dongle.
    - LP: #1087480
  * hpsa: gen8plus Smart Array IDs
    - LP: #1089623
  * KVM: x86: invalid opcode oops on SET_SREGS with OSXSAVE bit set
    (CVE-2012-4461)
    - LP: #1089604
    - CVE-2012-4461
  * gpio-timberdale: fix a potential wrapping issue
    - LP: #1091251
  * cfg80211: fix antenna gain handling
    - LP: #1091251
  * drm/i915: fix overlay on i830M
    - LP: #1091251
  * drm/i915: clear the entire sdvo infoframe buffer
    - LP: #1091251
  * mac80211: use blacklist for duplicate IE check
    - LP: #1091251
  * mac80211: Only process mesh config header on frames that RA_MATCH
    - LP: #1091251
  * mac80211: don't inspect Sequence Control field on control frames
    - LP: #1091251
  * gpiolib: Don't return -EPROBE_DEFER to sysfs, or for invalid gpios
    - LP: #1091251
  * qla2xxx: Update target lookup session tables when a target session
    changes
    - LP: #1091251
  * mac80211: fix SSID copy on IBSS JOIN
    - LP: #1091251
  * wireless: drop invalid mesh address extension frames
    - LP: #1091251
  * mac80211: check management frame header length
    - LP: #1091251
  * mac80211: verify that skb data is present
    - LP: #1091251


=== debian/control ===
Source: linux-armadaxp
Section: devel
Priority: optional
Maintainer: Ubuntu Kernel Team <kernel-team@lists.ubuntu.com>
Standards-Version: 3.8.4.0
Build-Depends: debhelper (>= 5), cpio, module-init-tools, kernel-wedge (>= 2.24ubuntu1), makedumpfile [amd64 i386], device-tree-compiler [powerpc], libelf-dev, binutils-dev, rsync, libdw-dev, dpkg (>= 1.16.0~ubuntu4), util-linux
Build-Depends-Indep: xmlto, docbook-utils, ghostscript, transfig, bzip2, sharutils, asciidoc
Build-Conflicts: findutils (= 4.4.1-1ubuntu1)
Vcs-Git: http://kernel.ubuntu.com/git-repos/ubuntu/ubuntu-precise.git

#Package: linux-armadaxp-source-3.5.0
#Architecture: all
#Section: devel
#Priority: optional
#Provides: linux-armadaxp-source, linux-armadaxp-source-2.6
#Depends: ${misc:Depends}, binutils, bzip2, coreutils | fileutils (>= 4.0)
#Recommends: libc-dev, gcc, make
#Suggests: libncurses-dev | ncurses-dev, kernel-package, libqt3-dev
#Description: Linux kernel source for version 3.5.0 with Ubuntu patches
# This package provides the source code for the Linux kernel version
# 3.5.0.
# .
# This package is mainly meant for other packages to use, in order to build
# custom flavours.
# .
# If you wish to use this package to create a custom Linux kernel, then it
# is suggested that you investigate the package kernel-package, which has
# been designed to ease the task of creating kernel image packages.
# .
# If you are simply trying to build third-party modules for your kernel,
# you do not want this package. Install the appropriate linux-headers
# package instead.

#Package: linux-armadaxp-doc
#Architecture: all
#Section: doc
#Priority: optional
#Depends: ${misc:Depends}
#Conflicts: linux-armadaxp-doc-2.6
#Replaces: linux-armadaxp-doc-2.6
#Description: Linux kernel specific documentation for version 3.5.0
# This package provides the various documents in the 3.5.0 kernel
# Documentation/ subdirectory.  These document kernel subsystems, APIs, device
# drivers, and so on.  See
# /usr/share/doc/linux-armadaxp-doc/00-INDEX for a list of what is
# contained in each file.

#Package: linux-armadaxp-tools-common
#Architecture: all
#Section: admin
#Priority: optional
#Depends: ${misc:Depends}
#Replaces: linux-armadaxp-tools (<= 2.6.32-16.25)
#Description: Linux kernel specific tools for version 3.5.0
# This package provides the architecture independent parts for kernel
# version locked tools in the 3.5.0 kernel source.

Package: linux-headers-3.5.0-1608
Architecture: armhf
Section: devel
Priority: optional
Depends: ${misc:Depends}, coreutils | fileutils (>= 4.0)
Provides: linux-armadaxp-headers, linux-armadaxp-headers-3
Description: Header files related to Linux kernel version 3.5.0
 This package provides kernel header files for version 3.5.0, for sites
 that want the latest kernel headers. Please read
 /usr/share/doc/linux-armadaxp-headers-3.5.0-1608/debian.README.gz for details

Package: linux-armadaxp-libc-dev
Architecture: armhf
Depends: ${misc:Depends}
Conflicts: libc6-dev (<< 2.3.2.ds1-6), libc6.1-dev (<< 2.3.2.ds1-6), dvb-dev (<< 1.0.1-6), amd64-libs-dev (<= 1.1), linux-armadaxp-kernel-headers
Replaces: libc6-dev (<< 2.3.2.ds1-6), libc6.1-dev (<< 2.3.2.ds1-6), dvb-dev (<< 1.0.1-6), linux-armadaxp-kernel-headers, libdrm-dev
Provides: linux-armadaxp-kernel-headers
Multi-Arch: same
Description: Linux Kernel Headers for development
 This package provides headers from the Linux kernel.  These headers
 are used by the installed headers for GNU glibc and other system
 libraries. They are NOT meant to be used to build third-party modules for
 your kernel. Use linux-armadaxp-headers-* packages for that.

Package: linux-armadaxp-tools-3.5.0-1608
Architecture: armhf
Section: devel
Priority: optional
Depends: ${misc:Depends}, ${shlibs:Depends}, linux-tools-common
Description: Linux kernel tools for version 3.5.0-1608
 This package provides the architecture dependant parts for kernel
 version locked tools for version 3.5.0-1608 on
 DESC.


Package: linux-image-3.5.0-1608-armadaxp
Architecture: armhf
Section: admin
Priority: optional
Pre-Depends: dpkg (>= 1.10.24)
Provides: linux-image, linux-image-3.2, fuse-module, 
Depends: ${misc:Depends}, ${shlibs:Depends}, initramfs-tools (>= 0.36ubuntu6), coreutils | fileutils (>= 4.0), module-init-tools (>= 3.3-pre11-4ubuntu3), crda (>= 1.1.1-1ubuntu2) | wireless-crda
Conflicts: hotplug (<< 0.0.20040105-1)
Recommends: flash-kernel
Suggests: fdutils, linux-armadaxp-doc-3.5.0 | linux-armadaxp-source-3.5.0, linux-armadaxp-tools
Description: Linux kernel image for version 3.5.0 on Marvell Armada XP based systems
 This package contains the Linux kernel image for version 3.5.0 on
 Marvell Armada XP based systems.
 .
 Also includes the corresponding System.map file, the modules built by the
 packager, and scripts that try to ensure that the system is not left in an
 unbootable state after an update.
 .
 Supports Marvell Armada XP processors.
 .
 Targeted towards boards
 .
 You likely do not want to install this package directly. Instead, install
 the linux-armadaxp meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-headers-3.5.0-1608-armadaxp
Architecture: armhf
Section: devel
Priority: optional
Depends: ${misc:Depends}, coreutils | fileutils (>= 4.0), linux-headers-3.5.0-1608, ${shlibs:Depends}
Provides: linux-armadaxp-headers, linux-armadaxp-headers-3.2
Description: Linux kernel headers for version 3.5.0 on Marvell Armada XP based systems
 This package provides kernel header files for version 3.5.0 on
 Marvell Armada XP based systems.
 .
 This is for sites that want the latest kernel headers.  Please read
 /usr/share/doc/linux-armadaxp-headers-3.5.0-1608/debian.README.gz for details.

Package: linux-image-3.5.0-1608-armadaxp-dbgsym
Architecture: armhf
Section: devel
Priority: optional
Depends: ${misc:Depends}
Provides: linux-debug
Description: Linux kernel debug image for version 3.5.0 on Marvell Armada XP based systems
 This package provides a kernel debug image for version 3.5.0 on
 Marvell Armada XP based systems.
 .
 This is for sites that wish to debug the kernel.
 .
 The kernel image contained in this package is NOT meant to boot from. It
 is uncompressed, and unstripped. This package also includes the
 unstripped modules.

Package: kernel-image-3.5.0-1608-armadaxp-di
XC-Package-Type: udeb
Provides: kernel-image
Architecture: armhf
XB-Kernel-Version: 3.5.0-1608-armadaxp
Section: debian-installer
Priority: extra
Description: Linux kernel binary image for the Debian installer
 This package contains the kernel image for the Debian installer
 boot images. It does _not_ provide a usable kernel for your full
 Debian system.

Package: nic-modules-3.5.0-1608-armadaxp-di
XC-Package-Type: udeb
Provides: nic-modules
Depends: kernel-image-3.5.0-1608-armadaxp-di, nic-shared-modules-3.5.0-1608-armadaxp-di
Architecture: armhf
XB-Kernel-Version: 3.5.0-1608-armadaxp
Section: debian-installer
Priority: standard
Description: Network interface support

Package: nic-shared-modules-3.5.0-1608-armadaxp-di
XC-Package-Type: udeb
Provides: nic-shared-modules
Depends: kernel-image-3.5.0-1608-armadaxp-di, crypto-modules-3.5.0-1608-armadaxp-di
Architecture: armhf
XB-Kernel-Version: 3.5.0-1608-armadaxp
Section: debian-installer
Priority: standard
Description: nic shared modules
  This package contains modules which support nic modules

Package: ppp-modules-3.5.0-1608-armadaxp-di
XC-Package-Type: udeb
Provides: ppp-modules
Depends: kernel-image-3.5.0-1608-armadaxp-di, nic-shared-modules-3.5.0-1608-armadaxp-di
Architecture: armhf
XB-Kernel-Version: 3.5.0-1608-armadaxp
Section: debian-installer
Priority: standard
Description: PPP (serial port) networking support

Package: scsi-modules-3.5.0-1608-armadaxp-di
XC-Package-Type: udeb
Provides: scsi-modules
Depends: kernel-image-3.5.0-1608-armadaxp-di, storage-core-modules-3.5.0-1608-armadaxp-di
Architecture: armhf
XB-Kernel-Version: 3.5.0-1608-armadaxp
Section: debian-installer
Priority: standard
Description: SCSI storage support

Package: plip-modules-3.5.0-1608-armadaxp-di
XC-Package-Type: udeb
Provides: plip-modules
Depends: kernel-image-3.5.0-1608-armadaxp-di, nic-shared-modules-3.5.0-1608-armadaxp-di, parport-modules-3.5.0-1608-armadaxp-di
Architecture: armhf
XB-Kernel-Version: 3.5.0-1608-armadaxp
Section: debian-installer
Priority: standard
Description: PLIP (parallel port) networking support

Package: md-modules-3.5.0-1608-armadaxp-di
XC-Package-Type: udeb
Provides: md-modules
Depends: kernel-image-3.5.0-1608-armadaxp-di
Architecture: armhf
XB-Kernel-Version: 3.5.0-1608-armadaxp
Section: debian-installer
Priority: standard
Description: Multi-device support (raid, device-mapper, lvm)

Package: usb-modules-3.5.0-1608-armadaxp-di
XC-Package-Type: udeb
Provides: usb-modules
Depends: kernel-image-3.5.0-1608-armadaxp-di, storage-core-modules-3.5.0-1608-armadaxp-di
Architecture: armhf
XB-Kernel-Version: 3.5.0-1608-armadaxp
Section: debian-installer
Priority: standard
Description: Core USB support

Package: input-modules-3.5.0-1608-armadaxp-di
XC-Package-Type: udeb
Provides: input-modules
Depends: kernel-image-3.5.0-1608-armadaxp-di, usb-modules-3.5.0-1608-armadaxp-di
Architecture: armhf
XB-Kernel-Version: 3.5.0-1608-armadaxp
Section: debian-installer
Priority: standard
Description: Support for various input methods

Package: irda-modules-3.5.0-1608-armadaxp-di
XC-Package-Type: udeb
Provides: irda-modules
Depends: kernel-image-3.5.0-1608-armadaxp-di, nic-shared-modules-3.5.0-1608-armadaxp-di
Architecture: armhf
XB-Kernel-Version: 3.5.0-1608-armadaxp
Section: debian-installer
Priority: standard
Description: Support for Infrared protocols

Package: parport-modules-3.5.0-1608-armadaxp-di
XC-Package-Type: udeb
Provides: parport-modules
Depends: kernel-image-3.5.0-1608-armadaxp-di
Architecture: armhf
XB-Kernel-Version: 3.5.0-1608-armadaxp
Section: debian-installer
Priority: standard
Description: Parallel port support

Package: nic-usb-modules-3.5.0-1608-armadaxp-di
XC-Package-Type: udeb
Provides: nic-usb-modules
Depends: kernel-image-3.5.0-1608-armadaxp-di, nic-shared-modules-3.5.0-1608-armadaxp-di, usb-modules-3.5.0-1608-armadaxp-di
Architecture: armhf
XB-Kernel-Version: 3.5.0-1608-armadaxp
Section: debian-installer
Priority: standard
Description: USB network interface support

Package: crypto-modules-3.5.0-1608-armadaxp-di
XC-Package-Type: udeb
Provides: crypto-modules
Depends: kernel-image-3.5.0-1608-armadaxp-di
Architecture: armhf
XB-Kernel-Version: 3.5.0-1608-armadaxp
Section: debian-installer
Priority: extra
Description: crypto modules
 This package contains crypto modules.

Package: squashfs-modules-3.5.0-1608-armadaxp-di
XC-Package-Type: udeb
Provides: squashfs-modules
Depends: kernel-image-3.5.0-1608-armadaxp-di
Architecture: armhf
XB-Kernel-Version: 3.5.0-1608-armadaxp
Section: debian-installer
Priority: extra
Description: squashfs modules
 This package contains squashfs modules.

Package: fs-core-modules-3.5.0-1608-armadaxp-di
XC-Package-Type: udeb
Provides: fs-core-modules, jfs-modules, reiserfs-modules, xfs-modules
Depends: kernel-image-3.5.0-1608-armadaxp-di
Architecture: armhf
XB-Kernel-Version: 3.5.0-1608-armadaxp
Section: debian-installer
Priority: standard
Description: Base filesystem modules
 This includes jfs, reiserfs and xfs.

Package: fs-secondary-modules-3.5.0-1608-armadaxp-di
XC-Package-Type: udeb
Provides: fs-secondary-modules, ntfs-modules, hfs-modules
Depends: kernel-image-3.5.0-1608-armadaxp-di
Architecture: armhf
XB-Kernel-Version: 3.5.0-1608-armadaxp
Section: debian-installer
Priority: standard
Description: Extra filesystem modules
 This includes support for Windows NTFS and MacOS HFS/HFSPlus

Package: storage-core-modules-3.5.0-1608-armadaxp-di
XC-Package-Type: udeb
Provides: storage-core-modules, loop-modules
Depends: kernel-image-3.5.0-1608-armadaxp-di
Architecture: armhf
XB-Kernel-Version: 3.5.0-1608-armadaxp
Section: debian-installer
Priority: standard
